commit:     6a35da285748a6e63be662e8d5ee74fa1010b120
Author:     Ian Delaney <idella4 <AT> gentoo <DOT> org>
AuthorDate: Fri Sep 25 13:30:57 2015 +0000
Commit:     Ian Delaney <idella4 <AT> gentoo <DOT> org>
CommitDate: Fri Sep 25 13:45:22 2015 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6a35da28

dev-python/flake8: correction to previous revbump (-2.4.1-r1)

corrective patch submitted via Bug #561394

Package-Manager: portage-2.2.20.1

 dev-python/flake8/flake8-2.4.1-r1.ebuild | 5 +++++
 1 file changed, 5 insertions(+)

diff --git a/dev-python/flake8/flake8-2.4.1-r1.ebuild 
b/dev-python/flake8/flake8-2.4.1-r1.ebuild
index 19f2159..f94d639 100644
--- a/dev-python/flake8/flake8-2.4.1-r1.ebuild
+++ b/dev-python/flake8/flake8-2.4.1-r1.ebuild
@@ -21,6 +21,7 @@ RDEPEND=">=dev-python/pyflakes-0.8.1[${PYTHON_USEDEP}]
        <dev-python/pyflakes-0.9[${PYTHON_USEDEP}]
        >=dev-python/pep8-1.5.7[${PYTHON_USEDEP}]
        !=dev-python/pep8-1.6.1[${PYTHON_USEDEP}]
+       !=dev-python/pep8-1.6.2[${PYTHON_USEDEP}]
        "
 PDEPEND=">=dev-python/mccabe-0.2.1[${PYTHON_USEDEP}]
        <dev-python/mccabe-0.4[${PYTHON_USEDEP}]"
@@ -33,6 +34,10 @@ DEPEND="${RDEPEND}
 python_prepare_all() {
        # This tests requires / assumes this version is already installed.
        sed -e 's:test_register_extensions:_&:' -i flake8/tests/test_engine.py 
|| die
+
+       # Gentoo has flake8 support restored in >=pep8-1.6.2-r1.
+       sed -e 's:, != 1.6.2::' -i setup.py || die
+
        distutils-r1_python_prepare_all
 }
 

Reply via email to